package by.zerg.cashoutcalculator.helpers;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

public class ArrayHelper {
	public static String valueOf(Integer[] loading) {
		StringBuilder result = new StringBuilder();
		for (int i = 0; i < loading.length; i++) {
			if (i > 0) {
				result.append(", ");
			}
			result.append(loading[i]);
		}
		return result.toString();
	}

	public static Integer[] parse(String source) {
		List<Integer> result = new ArrayList<Integer>();
		StringTokenizer st = new StringTokenizer(source, " ,\t");
		while (st.hasMoreTokens()) {
			result.add(Integer.valueOf(st.nextToken()));
		}
		return result.toArray(new Integer[0]);
	}
}
