package by.zerg.cashoutcalculator.helpers;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;

public class Constants {
	public static final Locale LOCALE = new Locale("en");
	public static final NumberFormat DECIMAL_FORMATTER = DecimalFormat
			.getInstance(LOCALE);
	public static final String TITLE = "Cashout Calculator v1.4b by Hitman";
	public static final String LABEL_CASHOUT = "Cashout (USD)";
	public static final String LABEL_CARD = "Card";
	public static final String LABEL_ATM = "ATM Loading (USD)";
	public static final String LABEL_AMOUNT = "Amount (WMZ)";
	public static final String LABEL_COMISSION = "Comission (%)";
	public static final String LABEL_CALCULATE = "Calculate";
	public static final String LABEL_TABLE_VIEW = "Table view";
	public static final String LABEL_GRAPH_VIEW = "Graph view";
	public static final String LABEL_START_AMOUNT = "From: ";
	public static final String LABEL_END_AMOUNT = "To: ";
	public static final String LABEL_RANGE_AMOUNT = "Range: ";
	public static final String LABEL_GO = "Go";
	public static final String DEFAULT_START_AMOUNT = "100";
	public static final String DEFAULT_END_AMOUNT = "1000";
	public static final String DEFAULT_RANGE_AMOUNT = "100";
	public static final String DEFAULT_CONFIG = "config\\config.xml";
	public static final String TAG_ATM = "atm";
	public static final String TAG_CARD = "card";
	public static final String ATTRIBUTE_VISIBLE = "visible";
	public static final String TAG_NAME = "name";
	public static final String TAG_CURRENCY = "currency";
	public static final String TAG_LOADING = "loading";
	public static final String TAG_TYPE = "type";
	public static final String TAG_ATM_RAKE = "atmRake";
	public static final String TAG_MIN_ATM_RAKE = "minAtmRake";
	public static final String TAG_MAX_ATM_RAKE = "maxAtmRake";
	public static final String TAG_CARD_RAKE = "cardRake";
	public static final String TAG_MIN_CARD_RAKE = "minCardRake";
	public static final String TAG_MAX_CARD_RAKE = "maxCardRake";
	public static final String TAG_SYSTEM_RAKE = "systemRake";
	public static final String TAG_MIN_SYSTEM_RAKE = "minSystemRake";
	public static final String TAG_MAX_SYSTEM_RAKE = "maxSystemRake";
	public static final String CHART_TITLE = null;
	public static final String CHART_LABEL_X = "Cashout (USD)";
	public static final String CHART_LABEL_Y = "Commision (%)";

	static {
		((DecimalFormat) DECIMAL_FORMATTER).applyPattern("0.000");
	}
}
